#ifndef __BUFFER_H__
#define __BUFFER_H__

#define BSIZE				100
#include<stdint.h>
////////////////////////////////////////////////////////
//
//	Buffer Header Structure
//
/////////////////////////////////////////////////////////
typedef struct 
{
	uint8_t head;				//index to head of buffer
	uint8_t tail;				//index to tail of buffer
	uint8_t buffer[ BSIZE ];	//buffer
	
}strBuffer;

/////////////////////////////////////////////////////////
//
//	BUFFER PROTOTYPES
//
/////////////////////////////////////////////////////////
uint8_t bufferInitialise( strBuffer * );
uint8_t bufferGet( uint8_t *, strBuffer * );
uint8_t bufferPut( uint8_t, strBuffer * );



#endif
